package com.ruixuan.isc.service;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.KuaishouRuleSettlementData;

import java.util.List;

/**
 * 【请填写功能名称】Service接口
 *
 * @author ruoyi
 * @date 2023-05-16
 */
public interface IKuaishouRuleSettlementDataService {
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public KuaishouRuleSettlementData selectKuaishouRuleSettlementDataById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param kuaishouRuleSettlementData 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<KuaishouRuleSettlementData> selectKuaishouRuleSettlementDataList(KuaishouRuleSettlementData kuaishouRuleSettlementData);

    /**
     * 新增【请填写功能名称】
     *
     * @param kuaishouRuleSettlementData 【请填写功能名称】
     * @return 结果
     */
    public int insertKuaishouRuleSettlementData(KuaishouRuleSettlementData kuaishouRuleSettlementData);

    /**
     * 修改【请填写功能名称】
     *
     * @param kuaishouRuleSettlementData 【请填写功能名称】
     * @return 结果
     */
    public int updateKuaishouRuleSettlementData(KuaishouRuleSettlementData kuaishouRuleSettlementData);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteKuaishouRuleSettlementDataByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteKuaishouRuleSettlementDataById(Long id);

    void data(Long statDate, JSONArray dataArr);

    JSONObject getRuleData(Long relateId, Long promoterId, Long ruleId, Long validOrderNum);

    JSONObject getOrderRuleData(Long relateId, Long promoterId, Long ruleId, Long validOrderNum);

    JSONObject getPromoterRuleData(Long relateId, Long promoterId, Long ruleId, Long validOrderNum);

    List<JSONObject> getSettlementDate(Long statDate, Long promoterId, String promoterName);

    void updatePromoterStatus(Long statDate, Long promoterId, Integer status);

    List<JSONObject> getPromoterSettlementDetail(Long date, Long promoterId,Integer settlementStatus);

    JSONObject getData();

    void promoterData(Long statDate, JSONArray data);
}

